build:
  stage: build
  image: nixos/nix
  variables:
    QT_QPA_PLATFORM: "offscreen"
  before_script:
    - export XDG_RUNTIME_DIR="$(mktemp -p $(pwd) -d)/"
    - mkdir output
  script:
    - nix run nixpkgs.tiled -c tiled --export-map json w17.tmx output/w17.json
  after_script:
    - cp -R imgs output/imgs
  artifacts:
    untracked: false
    paths:
      - output
    expire_in: 1 week
    when: always
  tags:
    - as6766

